<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
    xmlns:sec="http://www.thymeleaf.org/extras/spring-security" layout:decorate="~{layoutadmin}">

<head>
    <meta charset="UTF-8">
    <title>Laporan Magang </title>
</head>

<body>
    <div layout:fragment="main">
        <div class="header bg-gradient-primary pb-8 pt-5 pt-md-8">
            <div class="container-fluid">
                <div class="header-body">
                    <!-- Card stats -->
                    <div class="row">
                        <div class="col-xl-12 col-lg-12">
                            <div class="card card-stats mb-4 mb-xl-0">
                                <div class="card-body">
                                    <div class="row">
                                        <div class="col">
                                            <h5 class="card-title text-uppercase text-muted mb-0">List</h5>
                                            <span class="h2 font-weight-bold mb-0">Magang</span>
                                        </div>
                                        <div class="col-auto">
                                            <div
                                                class="icon icon-shape bg-gradient-blue text-white rounded-circle shadow">
                                                <i class="fas fa-user-astronaut"></i>
                                            </div>
                                        </div>
                                    </div>

                                </div>
                            </div>
                        </div>

                    </div>
                </div>
            </div>
        </div>

        <div class="container-fluid mt--7">
            <!-- Table -->
            <div class="row">
                <div class="col">
                    <div class="card shadow">
                        <div class="card-header border-0">
                            <div class="row align-items-center">
                                <div class="col">
                                    <h3 class="mb-0">Data List</h3>
                                </div>
                            </div>
                        </div>
                        <div class="card-body">
                            <form method="get">
                                <div class="row">
                                    <div class="col-md-4 col-xs-12">
                                        <div class="form-group">
                                            <label>Tahun Akademik</label>
                                            <select name="tahunAkademik" required class="form-control">
                                                <option value="" selected disabled>-- Select One --</option>
                                                <option th:each="tahun : ${tahun}"
                                                    th:selected="(${tahun} == *{selectedTahun})"
                                                    th:text="${tahun.namaTahunAkademik}" th:value="${tahun.id}">
                                                </option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-md-4 col-xs-12">
                                        <div class="form-group">
                                            <label>Program Studi</label>
                                            <select name="prodi" required class="form-control">
                                                <option value="" selected disabled>-- Select One --</option>
                                                <option th:each="prodi : ${prodi}"
                                                    th:selected="(${prodi} == *{selectedProdi})"
                                                    th:text="${prodi.namaProdi}" th:value="${prodi.id}"></option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-md-4 col-xs-12">
                                        <div class="form-group">
                                            <label>Jenis</label>
                                            <select name="status" class="form-control">
                                                <option value="ALL" th:selected="${selectedStatus == 'ALL'}">Semua
                                                    Data</option>
                                                <option value="MAGANG" th:selected="${selectedStatus == 'MAGANG'}">
                                                    Laporan Magang Tugas
                                                    Akhir</option>
                                                <option value="MBKM" th:selected="${selectedStatus == 'MBKM'}">Laporan
                                                    Magang MBKM</option>
                                            </select>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-12 text-center">
                                        <button type="submit" class="btn btn-primary"><i class="fas fa-list"></i>
                                            Show</button>
                                    </div>
                                </div>
                            </form>
                        </div>
                        <div class="card-body" th:if="${selectedTahun != null}">
                            <div class="card shadow">
                                <div class="card-header border-0">
                                    <div class="row align-items-center">
                                        <div class="col">
                                            <h3 class="mb-0">List</h3>
                                        </div>

                                    </div>
                                </div>
                                <div class="table-responsive">
                                    <table class="table align-items-center table-flush">
                                        <thead class="thead-light">
                                            <tr>
                                                <th scope="col">#</th>
                                                <th scope="col">NIM</th>
                                                <th scope="col">Nama</th>
                                                <th scope="col">Tanggal Upload</th>
                                                <th scope="col">Jenis</th>
                                                <th scope="col">Status</th>
                                                <th>Action</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <tr th:each="data,row : ${list}">
                                                <td th:text="${(row.index + 1) + (list.number * list.size)}">
                                                    1</td>
                                                <td th:text="${data.mahasiswa.nim}">12121</td>
                                                <td th:text="${data.mahasiswa.nama}">Muhammmad Rafizki</td>
                                                <td th:if="${data.tanggalUpload != null}" th:text="${#temporals.format(data.tanggalUpload, 'EE, dd - MMM - yyyy')}">Muhammmad Rafizki</td>
                                                <td th:if="${data.tanggalUpload == null}">-</td>
                                                <td th:text="${data.jenis}">
                                                    1</td>
                                                <td>
                                                    <button class="btn btn-warning btn-sm"
                                                        th:if="${data.status == data.status.WAITING}">Menunggu
                                                        Approval</button>
                                                    <button class="btn btn-success btn-sm"
                                                        th:if="${data.status == data.status.APPROVED}">Disetujui</button>

                                                </td>
                                                <td>
                                                    <button type="button"
                                                        class="btn btn-primary btn-outline-success btn-sm"
                                                        th:if="${data.status != data.status.APPROVED}"
                                                        th:data-target="${'#modal-setuju'+data.id}" data-toggle="modal">
                                                        <i class="fas fa-check"></i> Setujui
                                                    </button>
                                                    <button type="button"
                                                        class="btn btn-primary btn-outline-danger btn-sm"
                                                        th:if="${data.status != data.status.APPROVED}"
                                                        th:data-target="${'#modal-tolak'+data.id}" data-toggle="modal">
                                                        <i class="fas fa-times"></i> Tolak
                                                    </button>


                                                    <button type="button"
                                                        class="btn btn-info btn-outline-info btn-sm dropdown-toggle"
                                                        data-toggle="dropdown" aria-haspopup="true"
                                                        aria-expanded="false">Lihat File</button>
                                                    <div class="dropdown-menu">
                                                        <a class="dropdown-item" target="_blank" th:href="@{/upload/{fileMagang}/fileMagang/
                                                            (fileMagang=${data.id})}">File
                                                            File Magang</a>
                                                        <a class="dropdown-item" target="_blank"
                                                            th:href="@{/upload/{fileMagang}/penilaian/(fileMagang=${data.id})}">Form
                                                            File Penilaiain Magang</a>

                                                    </div>



                                                </td>

                                                <div class="modal fade" th:id="${'modal-setuju'+data.id}" role="dialog"
                                                    aria-labelledby="exampleModalLabel" aria-hidden="true">
                                                    <div class="modal-dialog modal-dialog-centered" role="document">
                                                        <div class="modal-content">
                                                            <div class="modal-header">
                                                                <h5 class="modal-title" id="exampleModalLabel">Komentar
                                                                </h5>
                                                                <button type="button" class="close" data-dismiss="modal"
                                                                    aria-label="Close">
                                                                    <span aria-hidden="true">&times;</span>
                                                                </button>
                                                            </div>
                                                            <div class="modal-body">
                                                                <form
                                                                    th:action="@{/graduation/magang/admin/terima (id = ${data.id})}"
                                                                    method="post">
                                                                    <div class="form-group">
                                                                        <textarea name="komentar" class="form-control"
                                                                            placeholder="Comment" id="" cols="30"
                                                                            rows="10"></textarea>
                                                                    </div>
                                                                    <div class="form-group">
                                                                        <button class="btn btn-success"
                                                                            type="submit">Setujui</button>
                                                                    </div>
                                                                </form>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>

                                                <div class="modal fade" th:id="${'modal-tolak'+data.id}" role="dialog"
                                                    aria-labelledby="exampleModalLabel" aria-hidden="true">
                                                    <div class="modal-dialog modal-dialog-centered" role="document">
                                                        <div class="modal-content">
                                                            <div class="modal-header">
                                                                <h5 class="modal-title" id="exampleModalLabel">Komentar
                                                                </h5>
                                                                <button type="button" class="close" data-dismiss="modal"
                                                                    aria-label="Close">
                                                                    <span aria-hidden="true">&times;</span>
                                                                </button>
                                                            </div>
                                                            <div class="modal-body">
                                                                <form
                                                                    th:action="@{/graduation/magang/admin/tolak (id = ${data.id})}"
                                                                    method="post">
                                                                    <div class="form-group">
                                                                        <textarea name="komentar" class="form-control"
                                                                            placeholder="Comment" cols="30"
                                                                            rows="10"></textarea>
                                                                    </div>
                                                                    <input type="hidden" name="id"
                                                                        th:value="${data.id}">
                                                                    <div class="form-group">
                                                                        <button class="btn btn-danger"
                                                                            type="submit">Tolak</button>
                                                                    </div>
                                                                </form>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </tr>
                                        </tbody>
                                    </table>
                                </div>
                                <center>
                                    <div class="card-footer">

                                        <nav aria-label="Page navigation example">
                                            <ul class="pagination" sd:pagination="full">
                                                <li class="page-item">
                                                    <a class="page-link" href="#" aria-label="Previous">
                                                        <i class="fa fa-angle-left"></i>
                                                        <span class="sr-only">Previous</span>
                                                    </a>
                                                </li>
                                                <li class="page-item"><a class="page-link" href="#">1</a></li>

                                                <li class="page-item">
                                                    <a class="page-link" href="#" aria-label="Next">
                                                        <i class="fa fa-angle-right"></i>
                                                        <span class="sr-only">Next</span>
                                                    </a>
                                                </li>
                                            </ul>
                                        </nav>


                                    </div>
                                </center>

                            </div>

                        </div>
                    </div>
                </div>
            </div>
            <!-- Dark table -->

        </div>
    </div>
</body>

</html>